Page MenuHomePhabricator

Redirect HTML not restored after editing
Closed, ResolvedPublic1 Story Points

Description

  1. View https://www.mediawiki.org/w/index.php?title=Extension:SyntaxHighlight_GeSHi&redirect=no - Observe the redirect message, arrow icon and target page link.
  2. Click Edit tab. Observe this text being hidden, and then re-appearing. Then the page options modal opens.
  3. Close the modal and switch back to Read mode.

Expected:

Page looks the same as at step 1.

Actual:

Page is blank.

See also:

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterFix restoration of redirect HTML after exiting without saving

Event Timeline

Krinkle created this task.Jul 11 2016, 10:41 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 11 2016, 10:41 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Krinkle updated the task description. (Show Details)Jul 11 2016, 10:42 PM
Jdforrester-WMF triaged this task as Low priority.Jul 12 2016, 7:17 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.

Change 298996 had a related patch set uploaded (by Alex Monk):
Fix restoration of redirect HTML after exiting without saving

https://gerrit.wikimedia.org/r/298996

Change 298996 merged by jenkins-bot:
Fix restoration of redirect HTML after exiting without saving

https://gerrit.wikimedia.org/r/298996

Jdforrester-WMF closed this task as Resolved.Sep 1 2016, 4:26 PM
Jdforrester-WMF removed a project: Patch-For-Review.